require( "scripts/style.lua" );



MakeDialog
{
    FaderWindow
	{
		wait=0,
		duration=100,
		fit = true,
		startalpha = 0,
		finalalpha = 1,
		skip = false,
    
		Bitmap
		{
			image="backgrounds/shade",
			alpha = 0.99,
		},
		
		Bitmap
		{
			name="yesnobackground",
			image="backgrounds/dialog",
			x=306,
			y=226,
	        
			Button
			{
				clickSound = "audio/sfx/buttons/default_click.ogg",
				graphics = {
					"buttons/blueidle",
					"buttons/bluedown",
					"buttons/blueover"
					},
				font = StandardButtonFont,
				close = true,
				flags = 5,
				label = "ok",
				name = "ok",
				tw=kMax-8,
				th=kMax-2,
				x = kCenter,
				y = kMax-100,
			},
	        
			SetStyle(DialogTitleText),
			Text
			{
				name = "oktitle",
				label= gDialogTable.title,
			};
			
			SetStyle(DialogBodyText),
			Text
			{
				name = "okbody",
				label= "#"..getNomoneyText(),
			};
		},
	},
	PlayPopupSound();
} -- MakeDialog
